Bug 100905 - "Restrict to Products" list incorrectly concatenates selections on Duplicates page
Summary: "Restrict to Products" list incorrectly concatenates selections on Duplicates...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General   
(Show other bugs)
Version: 2.17
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact: David Lawrence
URL: https://bugzilla.redhat.com/bugzilla/...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-26 22:21 UTC by George Karabin
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version: 2.17.21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 04:47:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George Karabin 2003-07-26 22:21:57 UTC
Description of problem:

On the Duplicates bugzilla page, if multiple products are selcted in the
"Restrict to Products" box, they are incorrectly joined into a single word when
the "Change" button is pressed.

Version-Release number of selected component (if applicable): 2.17.1
How reproducible: 100%


Steps to Reproduce:
1. Browse to attached URL
2. Select the first two entries in the "Restrict to Products" list.
3. Press "Change"
    
Actual results:
This page is generated:    
https://bugzilla.redhat.com/bugzilla/duplicates.cgi?sortby=count&reverse=1&bug_id=82123%2C73733%2C88147%2C25510%2C6175%2C76219%2C86060%2C91889%2C74877%2C78616%2C74973%2C67610%2C72587%2C74132%2C98969%2C37280%2C70387%2C83700%2C81855%2C90036%2C48367%2C56698%2C75225%2C69971%2C5364%2C70666%2C87539%2C36940%2C12099%2C65749%2C74717%2C76267%2C71499%2C60176%2C58942%2C43317%2C37913%2C81215%2C23052%2C73827%2C73661%2C80343%2C72633%2C79829%2C72342%2C88456%2C79074%2C76830%2C99293%2C72965%2C85205%2C92043%2C76253%2C80414%2C91387%2C91381%2C83485%2C73218%2C88587%2C80030%2C82848%2C64594%2C82713%2C82652%2C77017%2C71136%2C58827%2C74311%2C55484%2C49899%2C46464%2C39745%2C36838%2C34433%2C30677%2C28955%2C26809%2C24738%2C17932%2C17420%2C14463%2C75834%2C8527%2C3230%2C82805%2C82099%2C81649%2C81231%2C81183%2C80389%2C79678%2C76310%2C76104%2C76065%2C69250%2C69095%2C68133%2C68066%2C66149%2C73586&sortvisible=0&product=bugzilla&product=eCos&maxrows=100&changedsince=7

It has the following text: "The product name 'bugzillaeCos' is invalid or does
not exist."

Expected results:

The page ought to be filtered based on those two products.

Comment 1 David Lawrence 2003-07-28 04:47:24 UTC
Changed to only allow single product selection which was the way it was
originally coded in the cgi but not in the html template. Will look into
allowing multiple selections in the future but for the time being, this now does
something sane.


Note You need to log in before you can comment on or make changes to this bug.